# fn() convert
Converts a value into another value.

Defined in | <seqan/basic.h>
Signature | `T convert<Target>(source);`

## Parameters

`source` | An object that is converted to `Target`.

## Template Parameters

`Target` | The type `source` is converted to.

## Return Values

`TReturn` | `source` converted to `Target`. If `source` can be re-interpreted as instance of `Target`, then a reference is returned. Otherwise the function returns a temporary object.

## Detailed Description

This function is implemented in convertImpl. Do not specialize `convert`, specialize convertImpl instead.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- convertImpl

#### Dox Sources

    /*!
     * @fn convert
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Converts a value into another value.
     *
     * @signature T convert<Target>(source);
     *
     * @tparam Target The type <tt>source</tt> is converted to.
     *
     * @param[in] source An object that is converted to <tt>Target</tt>.
     *
     * @return TReturn <tt>source</tt> converted to <tt>Target</tt>. If
     *                 <tt>source</tt> can be re-interpreted as instance of
     *                 <tt>Target</tt>, then a reference is returned. Otherwise the
     *                 function returns a temporary object.
     *
     * This function is implemented in convertImpl. Do not specialize
     * <tt>convert</tt>, specialize convertImpl instead.
     *
     * @see convertImpl
     */